VST 3 SDK: Steinberg::Vst::UMP::Detail Namespace Reference
Author: Steinberg

VST 3 SDK VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions | Variables
Steinberg::Vst::UMP::Detail Namespace Reference

## Classes
struct | UMPMessage
struct | UMPMessage2
struct | UMPMessage4
struct | UMPMessageChannelVoice1
struct | UMPMessageChannelVoice2
struct | UMPMessageData128
struct | UMPMessageSysEx
struct | UMPMessageSystem
struct | UMPMessageUtility

## Typedefs
using | Status = UMPMessageUtility::Status
using | SystemRealtime = IUniversalMidiPacketHandler::SystemRealtime

## Enumerations
enum class | MessageType : uint8_t { Utility = 0x0 , System = 0x1 , ChannelVoice1 = 0x2 , SysEx = 0x3 , ChannelVoice2 = 0x4 , Data128 = 0x5 , Unknown6 = 0x6 , Unknown7 = 0x7 , Unknown8 = 0x8 , Unknown9 = 0x9 , UnknownA = 0xa , UnknownB = 0xb , UnknownC = 0xc , UnknownD = 0xd , UnknownE = 0xe , UnknownF = 0xf }

## Functions
__inline__ | __attribute__ ((__always_inline__)) bool onUtilityMessage(const UMPMessageUtility &msg
| switch (status)
| switch (msg.status())
template<uint32_t Sections>
__inline__ | __attribute__ ((__always_inline__)) size_t parse(const size_t numWords
| for (size_t index=0;index< numWords;)

## Variables
__inline__ const IUniversalMidiPacketHandler & | handler
return | true
auto | status = msg.status ()
auto | channel = msg.channel ()
__inline__ const uint32_t * | words
return | numWords

## Typedef Documentation

## ◆ Status

typedef UMPMessageChannelVoice2::Status Status = UMPMessageUtility::Status

## ◆ SystemRealtime

using SystemRealtime = IUniversalMidiPacketHandler::SystemRealtime

## Enumeration Type Documentation

## ◆ MessageType

enum class MessageType : uint8_t
| strong

Enumerator
Utility |
System |
ChannelVoice1 |
SysEx |
ChannelVoice2 |
Data128 |
Unknown6 |
Unknown7 |
Unknown8 |
Unknown9 |
UnknownA |
UnknownB |
UnknownC |
UnknownD |
UnknownE |
UnknownF |

## Function Documentation

## ◆ __attribute__() [1/2]

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const &

## ◆ switch() [1/2]

switch | ( | status |  | ) |

## ◆ switch() [2/2]

switch | ( | msg. | status() | ) |

## ◆ __attribute__() [2/2]

template<uint32_t Sections>

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const

## ◆ for()

for | ( |  | ) |

## Variable Documentation

## ◆ handler

__inline__ const uint32_t const IUniversalMidiPacketHandler & handler

Initial value:
{
auto status = msg.status ()
Steinberg::Vst::UMP::Detail::status
auto status
Definition ump.h:656

## ◆ true

return true

## ◆ status

auto status = msg.status ()

## ◆ channel

auto channel = msg.channel ()

## ◆ words

__inline__ const uint32_t* words

## ◆ numWords

return numWords

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.